Toolbar

- Main Page
- Related Pages
- Data Structures
- Files
- Examples

Typedefs | Enumerations | Functions
Toolbar

## Typedefs
typedef struct _Elm_Toolbar_Item_State | Elm_Toolbar_Item_State
| State of a Elm_Toolbar_Item. More...

## Enumerations
enum | Elm_Toolbar_Shrink_Mode { ELM_TOOLBAR_SHRINK_NONE, ELM_TOOLBAR_SHRINK_HIDE, ELM_TOOLBAR_SHRINK_SCROLL, ELM_TOOLBAR_SHRINK_MENU, ELM_TOOLBAR_SHRINK_EXPAND, ELM_TOOLBAR_SHRINK_LAST }
| Set toolbar's items display behavior, it can be scrollable, show a menu with exceeding items, or simply hide them. More...
enum | Elm_Toolbar_Item_Scrollto_Type { ELM_TOOLBAR_ITEM_SCROLLTO_NONE = 0, ELM_TOOLBAR_ITEM_SCROLLTO_IN = (1 << 0), ELM_TOOLBAR_ITEM_SCROLLTO_FIRST = (1 << 1), ELM_TOOLBAR_ITEM_SCROLLTO_MIDDLE = (1 << 2), ELM_TOOLBAR_ITEM_SCROLLTO_LAST = (1 << 3) }
| Defines where to position the item in the toolbar. More...

## Functions
EOAPI void | elm_obj_toolbar_homogeneous_set (Eina_Bool homogeneous)
| Enable/disable homogeneous mode. More...
EOAPI Eina_Bool | elm_obj_toolbar_homogeneous_get (void)
| Get whether the homogeneous mode is enabled. More...
EOAPI void | elm_obj_toolbar_align_set (double align)
| Set the alignment of the items. More...
EOAPI double | elm_obj_toolbar_align_get (void)
| Get the alignment of the items. More...
EOAPI void | elm_obj_toolbar_select_mode_set (Elm_Object_Select_Mode mode)
| Set the toolbar select mode. More...
EOAPI Elm_Object_Select_Mode | elm_obj_toolbar_select_mode_get (void)
| Get the toolbar select mode. More...
EOAPI void | elm_obj_toolbar_icon_size_set (int icon_size)
| Set the icon size, in pixels, to be used by toolbar items. More...
EOAPI int | elm_obj_toolbar_icon_size_get (void)
| Get the icon size, in pixels, to be used by toolbar items. More...
EOAPI void | elm_obj_toolbar_horizontal_set (Eina_Bool horizontal)
| Change a toolbar's orientation By default, a toolbar will be horizontal. More...
EOAPI Eina_Bool | elm_obj_toolbar_horizontal_get (void)
| Get a toolbar's orientation. More...
EOAPI void | elm_obj_toolbar_icon_order_lookup_set (Elm_Icon_Lookup_Order order)
| Sets icon lookup order, for toolbar items' icons. More...
EOAPI Elm_Icon_Lookup_Order | elm_obj_toolbar_icon_order_lookup_get (void)
| Get the icon lookup order. More...
EOAPI void | elm_obj_toolbar_shrink_mode_set (Elm_Toolbar_Shrink_Mode shrink_mode)
| Set the item displaying mode of a given toolbar widget `obj`. More...
EOAPI Elm_Toolbar_Shrink_Mode | elm_obj_toolbar_shrink_mode_get (void)
| Get the shrink mode of toolbar `obj`. More...
EOAPI void | elm_obj_toolbar_menu_parent_set (Evas_Object *parent)
| Set the parent object of the toolbar items' menus. More...
EOAPI Evas_Object * | elm_obj_toolbar_menu_parent_get (void)
| Get the parent object of the toolbar items' menus. More...
EOAPI void | elm_obj_toolbar_standard_priority_set (int priority)
| Set the standard priority of visible items in a toolbar If the priority of the item is up to standard priority, it is shown in basic panel. More...
EOAPI int | elm_obj_toolbar_standard_priority_get (void)
| Get the standard_priority of visible items in a toolbar. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_selected_item_get (void)
| Get the selected item. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_first_item_get (void)
| Get the first item in the given toolbar widget's list of items. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_more_item_get (void)
| Get the more item which is auto-generated by toolbar. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_last_item_get (void)
| Get the last item in the given toolbar widget's list of items. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_item_insert_before (Elm_Object_Item *before, const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Insert a new item into the toolbar object before item `before`. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_item_insert_after (Elm_Object_Item *after, const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Insert a new item into the toolbar object after item `after`. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_item_append (const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Append item to the toolbar. More...
EOAPI unsigned int | elm_obj_toolbar_items_count (void)
| Get the number of items in a toolbar. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_item_prepend (const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Prepend item to the toolbar. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_item_find_by_label (const char *label)
| Returns a pointer to a toolbar item by its label. More...
void | elm_toolbar_homogeneous_set (Elm_Toolbar *obj, Eina_Bool homogeneous)
| Enable/disable homogeneous mode. More...
Eina_Bool | elm_toolbar_homogeneous_get (const Elm_Toolbar *obj)
| Get whether the homogeneous mode is enabled. More...
void | elm_toolbar_align_set (Elm_Toolbar *obj, double align)
| Set the alignment of the items. More...
double | elm_toolbar_align_get (const Elm_Toolbar *obj)
| Get the alignment of the items. More...
void | elm_toolbar_select_mode_set (Elm_Toolbar *obj, Elm_Object_Select_Mode mode)
| Set the toolbar select mode. More...
Elm_Object_Select_Mode | elm_toolbar_select_mode_get (const Elm_Toolbar *obj)
| Get the toolbar select mode. More...
void | elm_toolbar_icon_size_set (Elm_Toolbar *obj, int icon_size)
| Set the icon size, in pixels, to be used by toolbar items. More...
int | elm_toolbar_icon_size_get (const Elm_Toolbar *obj)
| Get the icon size, in pixels, to be used by toolbar items. More...
void | elm_toolbar_horizontal_set (Elm_Toolbar *obj, Eina_Bool horizontal)
| Change a toolbar's orientation By default, a toolbar will be horizontal. More...
Eina_Bool | elm_toolbar_horizontal_get (const Elm_Toolbar *obj)
| Get a toolbar's orientation. More...
void | elm_toolbar_icon_order_lookup_set (Elm_Toolbar *obj, Elm_Icon_Lookup_Order order)
| Sets icon lookup order, for toolbar items' icons. More...
Elm_Icon_Lookup_Order | elm_toolbar_icon_order_lookup_get (const Elm_Toolbar *obj)
| Get the icon lookup order. More...
void | elm_toolbar_shrink_mode_set (Elm_Toolbar *obj, Elm_Toolbar_Shrink_Mode shrink_mode)
| Set the item displaying mode of a given toolbar widget `obj`. More...
Elm_Toolbar_Shrink_Mode | elm_toolbar_shrink_mode_get (const Elm_Toolbar *obj)
| Get the shrink mode of toolbar `obj`. More...
void | elm_toolbar_menu_parent_set (Elm_Toolbar *obj, Evas_Object *parent)
| Set the parent object of the toolbar items' menus. More...
Evas_Object * | elm_toolbar_menu_parent_get (const Elm_Toolbar *obj)
| Get the parent object of the toolbar items' menus. More...
void | elm_toolbar_standard_priority_set (Elm_Toolbar *obj, int priority)
| Set the standard priority of visible items in a toolbar If the priority of the item is up to standard priority, it is shown in basic panel. More...
int | elm_toolbar_standard_priority_get (const Elm_Toolbar *obj)
| Get the standard_priority of visible items in a toolbar. More...
Elm_Object_Item * | elm_toolbar_selected_item_get (const Elm_Toolbar *obj)
| Get the selected item. More...
Elm_Object_Item * | elm_toolbar_first_item_get (const Elm_Toolbar *obj)
| Get the first item in the given toolbar widget's list of items. More...
Elm_Object_Item * | elm_toolbar_more_item_get (const Elm_Toolbar *obj)
| Get the more item which is auto-generated by toolbar. More...
Elm_Object_Item * | elm_toolbar_last_item_get (const Elm_Toolbar *obj)
| Get the last item in the given toolbar widget's list of items. More...
Elm_Object_Item * | elm_toolbar_item_insert_before (Elm_Toolbar *obj, Elm_Object_Item *before, const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Insert a new item into the toolbar object before item `before`. More...
Elm_Object_Item * | elm_toolbar_item_insert_after (Elm_Toolbar *obj, Elm_Object_Item *after, const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Insert a new item into the toolbar object after item `after`. More...
Elm_Object_Item * | elm_toolbar_item_append (Elm_Toolbar *obj, const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Append item to the toolbar. More...
unsigned int | elm_toolbar_items_count (const Elm_Toolbar *obj)
| Get the number of items in a toolbar. More...
Elm_Object_Item * | elm_toolbar_item_prepend (Elm_Toolbar *obj, const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Prepend item to the toolbar. More...
Elm_Object_Item * | elm_toolbar_item_find_by_label (const Elm_Toolbar *obj, const char *label)
| Returns a pointer to a toolbar item by its label. More...
void | elm_toolbar_item_state_unset (Elm_Object_Item *it)
| Unset the state of `it`. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_item_prev_get (void)
| Get the item before `item` in toolbar. More...
EOAPI Elm_Object_Item * | elm_obj_toolbar_item_next_get (void)
| Get the item after `item` in toolbar. More...
EOAPI void | elm_obj_toolbar_item_priority_set (int priority)
| Set the priority of a toolbar item. More...
EOAPI int | elm_obj_toolbar_item_priority_get (void)
| Get the priority of a toolbar item. More...
EOAPI void | elm_obj_toolbar_item_selected_set (Eina_Bool selected)
| Set the selected state of an item. More...
EOAPI Eina_Bool | elm_obj_toolbar_item_selected_get (void)
| Get whether the `item` is selected or not. More...
EOAPI void | elm_obj_toolbar_item_icon_set (const char *icon)
| Set the icon associated with `item`. More...
EOAPI const char * | elm_obj_toolbar_item_icon_get (void)
| Get the string used to set the icon of `item`. More...
EOAPI Evas_Object * | elm_obj_toolbar_item_object_get (void)
| Get the real Evas(Edje) object created to implement the view of a given toolbar `item`.
EOAPI Evas_Object * | elm_obj_toolbar_item_icon_object_get (void)
| Get the icon object of `item`. More...
EOAPI void | elm_obj_toolbar_item_separator_set (Eina_Bool separator)
| Set or unset item as a separator. More...
EOAPI Eina_Bool | elm_obj_toolbar_item_separator_get (void)
| Get a value whether item is a separator or not. More...
EOAPI Evas_Object * | elm_obj_toolbar_item_menu_get (void)
| Get toolbar item's menu. More...
EOAPI Eina_Bool | elm_obj_toolbar_item_state_set (Elm_Toolbar_Item_State *state)
| Set `state` as the current state of `it`. More...
EOAPI Elm_Toolbar_Item_State * | elm_obj_toolbar_item_state_get (void)
| Get the current state of `it`. More...
EOAPI Eina_Bool | elm_obj_toolbar_item_icon_memfile_set (const void *img, size_t size, const char *format, const char *key)
| Set the icon associated with `item` to an image in a binary buffer. More...
EOAPI Eina_Bool | elm_obj_toolbar_item_icon_file_set (const char *file, const char *key)
| Set the icon associated with `item` to an image in a binary buffer. More...
EOAPI Elm_Toolbar_Item_State * | elm_obj_toolbar_item_state_add (const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Add a new state to `item`. More...
EOAPI Elm_Toolbar_Item_State * | elm_obj_toolbar_item_state_next (void)
| Get the state after selected state in toolbar's `item`. More...
EOAPI Elm_Toolbar_Item_State * | elm_obj_toolbar_item_state_prev (void)
| Get the state before selected state in toolbar's `item`. More...
EOAPI void | elm_obj_toolbar_item_show (Elm_Toolbar_Item_Scrollto_Type scrollto)
| Show a specific item, when the toolbar can be scrolled. More...
EOAPI void | elm_obj_toolbar_item_bring_in (Elm_Toolbar_Item_Scrollto_Type scrollto)
| Show a specific item with scroll animation, when the toolbar can be scrolled. More...
EOAPI void | elm_obj_toolbar_item_menu_set (Eina_Bool menu)
| Set whether the toolbar item opens a menu. More...
Elm_Object_Item * | elm_toolbar_item_prev_get (const Elm_Toolbar_Item *obj)
| Get the item before `item` in toolbar. More...
Elm_Object_Item * | elm_toolbar_item_next_get (const Elm_Toolbar_Item *obj)
| Get the item after `item` in toolbar. More...
void | elm_toolbar_item_priority_set (Elm_Toolbar_Item *obj, int priority)
| Set the priority of a toolbar item. More...
int | elm_toolbar_item_priority_get (const Elm_Toolbar_Item *obj)
| Get the priority of a toolbar item. More...
void | elm_toolbar_item_selected_set (Elm_Toolbar_Item *obj, Eina_Bool selected)
| Set the selected state of an item. More...
Eina_Bool | elm_toolbar_item_selected_get (const Elm_Toolbar_Item *obj)
| Get whether the `item` is selected or not. More...
void | elm_toolbar_item_icon_set (Elm_Toolbar_Item *obj, const char *icon)
| Set the icon associated with `item`. More...
const char * | elm_toolbar_item_icon_get (const Elm_Toolbar_Item *obj)
| Get the string used to set the icon of `item`. More...
Evas_Object * | elm_toolbar_item_object_get (const Elm_Toolbar_Item *obj)
| Get the real Evas(Edje) object created to implement the view of a given toolbar `item`.
Evas_Object * | elm_toolbar_item_icon_object_get (const Elm_Toolbar_Item *obj)
| Get the icon object of `item`. More...
void | elm_toolbar_item_separator_set (Elm_Toolbar_Item *obj, Eina_Bool separator)
| Set or unset item as a separator. More...
Eina_Bool | elm_toolbar_item_separator_get (const Elm_Toolbar_Item *obj)
| Get a value whether item is a separator or not. More...
Evas_Object * | elm_toolbar_item_menu_get (const Elm_Toolbar_Item *obj)
| Get toolbar item's menu. More...
Eina_Bool | elm_toolbar_item_state_set (Elm_Toolbar_Item *obj, Elm_Toolbar_Item_State *state)
| Set `state` as the current state of `it`. More...
Elm_Toolbar_Item_State * | elm_toolbar_item_state_get (const Elm_Toolbar_Item *obj)
| Get the current state of `it`. More...
Eina_Bool | elm_toolbar_item_icon_memfile_set (Elm_Toolbar_Item *obj, const void *img, size_t size, const char *format, const char *key)
| Set the icon associated with `item` to an image in a binary buffer. More...
Eina_Bool | elm_toolbar_item_icon_file_set (Elm_Toolbar_Item *obj, const char *file, const char *key)
| Set the icon associated with `item` to an image in a binary buffer. More...
Elm_Toolbar_Item_State * | elm_toolbar_item_state_add (Elm_Toolbar_Item *obj, const char *icon, const char *label, Evas_Smart_Cb func, const void *data)
| Add a new state to `item`. More...
Elm_Toolbar_Item_State * | elm_toolbar_item_state_next (Elm_Toolbar_Item *obj)
| Get the state after selected state in toolbar's `item`. More...
Elm_Toolbar_Item_State * | elm_toolbar_item_state_prev (Elm_Toolbar_Item *obj)
| Get the state before selected state in toolbar's `item`. More...
void | elm_toolbar_item_show (Elm_Toolbar_Item *obj, Elm_Toolbar_Item_Scrollto_Type scrollto)
| Show a specific item, when the toolbar can be scrolled. More...
void | elm_toolbar_item_bring_in (Elm_Toolbar_Item *obj, Elm_Toolbar_Item_Scrollto_Type scrollto)
| Show a specific item with scroll animation, when the toolbar can be scrolled. More...
void | elm_toolbar_item_menu_set (Elm_Toolbar_Item *obj, Eina_Bool menu)
| Set whether the toolbar item opens a menu. More...
Evas_Object * | elm_toolbar_add (Evas_Object *parent)
| Add a new toolbar widget to the given parent Elementary (container) object. More...
void | elm_toolbar_reorder_mode_set (Evas_Object *obj, Eina_Bool reorder_mode)
| Set reorder mode. More...
Eina_Bool | elm_toolbar_reorder_mode_get (const Evas_Object *obj)
| Get the reorder mode. More...
void | elm_toolbar_transverse_expanded_set (Evas_Object *obj, Eina_Bool transverse_expanded)
| Set the item's transverse expansion of a given toolbar widget `obj`. More...
Eina_Bool | elm_toolbar_transverse_expanded_get (const Evas_Object *obj)
| Get the transverse expansion of toolbar `obj`. More...

## Detailed Description

A toolbar is a widget that displays a list of items inside a box. It can be scrollable, show a menu with items that don't fit to toolbar size or even crop them.

Only one item can be selected at a time.

Items can have multiple states, or show menus when selected by the user.

This widget implements the elm-scrollable-interface interface, so that all (non-deprecated) functions for the base Scroller widget also work for toolbars (since 1.8)

Smart callbacks one can listen to:

- `"clicked"` - when the user clicks on a toolbar item and becomes selected.
- `"longpressed"` - when the toolbar is pressed for a certain amount of time.
- `"language,changed"` - when the program language changes.
- `"focused"` - When the toolbar has received focus. (since 1.8)
- `"unfocused"` - When the toolbar has lost focus. (since 1.8)
- `"item,focused"` - When the toolbar item has received focus. (since 1.10)
- `"item,unfocused"` - When the toolbar item has lost focus. (since 1.10)
- `"selected"` - when an item is selected. `event_info` is a selected item. (since 1.11)
- `"unselected"` - when an item is unselected. `event_info` is a unselected item. (since 1.11)

Available styles for it:

- `"default"`
- `"transparent"` - no background or shadow, just show the content

Default text parts of the toolbar items that you can use for are:

- "default" - A label of the toolbar item

Supported elm_object_item common APIs.

- elm_object_item_del
- elm_object_item_disabled_set
- elm_object_item_disabled_get
- elm_object_item_part_text_set
- elm_object_item_part_text_get
- elm_object_item_part_content_set
- elm_object_item_part_content_get
- elm_object_item_part_content_unset
- elm_object_item_focus_set
- elm_object_item_focus_get

List of examples:

- Toolbar Example - Simple Items
- Toolbar Example - Items with States
- Toolbar Example - Items with Menus

## Typedef Documentation

typedef struct _Elm_Toolbar_Item_State Elm_Toolbar_Item_State

State of a Elm_Toolbar_Item.

Can be created with elm_toolbar_item_state_add() and removed with elm_toolbar_item_state_del().

## Enumeration Type Documentation

enum Elm_Toolbar_Item_Scrollto_Type

Defines where to position the item in the toolbar.

Enumerator
ELM_TOOLBAR_ITEM_SCROLLTO_NONE | no scrollto
ELM_TOOLBAR_ITEM_SCROLLTO_IN | to the nearest viewport
ELM_TOOLBAR_ITEM_SCROLLTO_FIRST | to the first of viewport
ELM_TOOLBAR_ITEM_SCROLLTO_MIDDLE | to the middle of viewport
ELM_TOOLBAR_ITEM_SCROLLTO_LAST | to the last of viewport

enum Elm_Toolbar_Shrink_Mode

Set toolbar's items display behavior, it can be scrollable, show a menu with exceeding items, or simply hide them.

Note
  Default value is ELM_TOOLBAR_SHRINK_MENU. It reads value from elm config.

Values don't work as bitmask, only one can be chosen.

See also
  elm_toolbar_shrink_mode_set()
  elm_toolbar_shrink_mode_get()

Enumerator
ELM_TOOLBAR_SHRINK_NONE | Set toolbar minimum size to fit all the items.
ELM_TOOLBAR_SHRINK_HIDE | Hide exceeding items.
ELM_TOOLBAR_SHRINK_SCROLL | Allow accessing exceeding items through a scroller.
ELM_TOOLBAR_SHRINK_MENU | Inserts a button to pop up a menu with exceeding items.
ELM_TOOLBAR_SHRINK_EXPAND | Expand all items according the size of the toolbar.
ELM_TOOLBAR_SHRINK_LAST | Indicates error if returned by elm_toolbar_shrink_mode_get()

## Function Documentation

EOAPI double elm_obj_toolbar_align_get | ( | void |  | ) |

Get the alignment of the items.

Returns
  toolbar items alignment, a float between `0.0` and `1.0` .

See also
  elm_toolbar_align_set() for details.

Referenced by elm_toolbar_align_get().

EOAPI void elm_obj_toolbar_align_set | ( | double | align | ) |

Set the alignment of the items.

Alignment of toolbar items, from `0.0` to indicates to align left, to `1.0` , to align to right. `0.5` centralize items.

Centered items by default.

See also
  elm_toolbar_align_get()

Parameters

  [in] | align | The new alignment, a float between `0.0` and `1.0` .

Referenced by elm_toolbar_align_set().

EOAPI Elm_Object_Item* elm_obj_toolbar_first_item_get | ( | void |  | ) |

Get the first item in the given toolbar widget's list of items.

Returns
  The first item or `NULL`, if it has no items (and on errors)

See also
  elm_toolbar_item_append()
  elm_toolbar_last_item_get()

Referenced by elm_toolbar_first_item_get().

EOAPI Eina_Bool elm_obj_toolbar_homogeneous_get | ( | void |  | ) |

Get whether the homogeneous mode is enabled.

Returns
  Assume the items within the toolbar are of the same height and width (EINA_TRUE = on, EINA_FALSE = off).

See also
  elm_toolbar_homogeneous_set()

Referenced by elm_toolbar_homogeneous_get().

EOAPI void elm_obj_toolbar_homogeneous_set | ( | Eina_Bool | homogeneous | ) |

Enable/disable homogeneous mode.

This will enable the homogeneous mode where items are of the same size.

See also
  elm_toolbar_homogeneous_get()

Parameters

  [in] | homogeneous | Assume the items within the toolbar are of the same size (EINA_TRUE = on, EINA_FALSE = off). Default is `EINA_FALSE`.

Referenced by elm_toolbar_homogeneous_set().

EOAPI Eina_Bool elm_obj_toolbar_horizontal_get | ( | void |  | ) |

Get a toolbar's orientation.

Returns
  If `EINA_TRUE`, the toolbar is horizontal By default, a toolbar will be horizontal. Use this function to determine whether a toolbar is vertical.

Referenced by elm_toolbar_horizontal_get().

EOAPI void elm_obj_toolbar_horizontal_set | ( | Eina_Bool | horizontal | ) |

Change a toolbar's orientation By default, a toolbar will be horizontal.

Use this function to create a vertical toolbar.

Parameters

  [in] | horizontal | If `EINA_TRUE`, the toolbar is horizontal

Referenced by elm_toolbar_horizontal_set().

EOAPI Elm_Icon_Lookup_Order elm_obj_toolbar_icon_order_lookup_get | ( | void |  | ) |

Get the icon lookup order.

Returns
  The icon lookup order. (If getting the icon order loopup fails, it returns ELM_ICON_LOOKUP_THEME_FDO)

See also
  elm_toolbar_icon_order_lookup_set() for details.

Referenced by elm_toolbar_icon_order_lookup_get().

EOAPI void elm_obj_toolbar_icon_order_lookup_set | ( | Elm_Icon_Lookup_Order | order | ) |

Sets icon lookup order, for toolbar items' icons.

Icons added before calling this function will not be affected. The default lookup order is ELM_ICON_LOOKUP_THEME_FDO.

See also
  elm_toolbar_icon_order_lookup_get()

Parameters

  [in] | order | The icon lookup order.

Referenced by elm_toolbar_icon_order_lookup_set().

EOAPI int elm_obj_toolbar_icon_size_get | ( | void |  | ) |

Get the icon size, in pixels, to be used by toolbar items.

Returns
  The icon size in pixels.

See also
  elm_toolbar_icon_size_set() for details.

Referenced by elm_toolbar_icon_size_get().

EOAPI void elm_obj_toolbar_icon_size_set | ( | int | icon_size | ) |

Set the icon size, in pixels, to be used by toolbar items.

Note
  Default value is `32`. It reads value from elm config.

See also
  elm_toolbar_icon_size_get()

Parameters

  [in] | icon_size | The icon size in pixels

Referenced by elm_toolbar_icon_size_set().

EOAPI Elm_Object_Item* elm_obj_toolbar_item_append | ( | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Append item to the toolbar.

Returns
  The created item or `NULL` upon failure.

A new item will be created and appended to the toolbar, i.e., will be set as last item.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

Referenced by elm_toolbar_item_append().

EOAPI void elm_obj_toolbar_item_bring_in | ( | Elm_Toolbar_Item_Scrollto_Type | scrollto | ) |

Show a specific item with scroll animation, when the toolbar can be scrolled.

see elm_toolbar_item_show()

Since
  1.8

Parameters

  [in] | scrollto | the position the item should appear at

Referenced by elm_toolbar_item_bring_in().

EOAPI Elm_Object_Item* elm_obj_toolbar_item_find_by_label | ( | const char * | label | ) |

Returns a pointer to a toolbar item by its label.

Returns
  The pointer to the toolbar item matching `label` or `NULL` on failure.

Parameters

  [in] | label | The label of the item to find.

Referenced by elm_toolbar_item_find_by_label().

EOAPI Eina_Bool elm_obj_toolbar_item_icon_file_set | ( | const char * | file,
|  | const char * | key
| ) |  |

Set the icon associated with `item` to an image in a binary buffer.

Note
  The icon image set by this function can be changed by elm_toolbar_item_icon_set().

Parameters

  [in] | file | The file that contains the image
  [in] | key | Optional key of `img` to pass to the image loader (eg. if `img` is an edje file)

Referenced by elm_toolbar_item_icon_file_set().

EOAPI const char* elm_obj_toolbar_item_icon_get | ( | void |  | ) |

Get the string used to set the icon of `item`.

Returns
  The string associated with the icon object.

See also
  elm_toolbar_item_icon_set() for details.

Referenced by elm_toolbar_item_icon_get().

EOAPI Eina_Bool elm_obj_toolbar_item_icon_memfile_set | ( | const void * | img,
|  | size_t | size,
|  | const char * | format,
|  | const char * | key
| ) |  |

Set the icon associated with `item` to an image in a binary buffer.

Note
  The icon image set by this function can be changed by elm_toolbar_item_icon_set().

Parameters

  [in] | img | The binary data that will be used as an image
  [in] | size | The size of binary data `img`
  [in] | format | Optional format of `img` to pass to the image loader
  [in] | key | Optional key of `img` to pass to the image loader (eg. if `img` is an edje file)

Referenced by elm_toolbar_item_icon_memfile_set().

EOAPI Evas_Object* elm_obj_toolbar_item_icon_object_get | ( | void |  | ) |

Get the icon object of `item`.

See also
  elm_toolbar_item_icon_set(), elm_toolbar_item_icon_file_set(), or elm_toolbar_item_icon_memfile_set() for details.

Referenced by elm_toolbar_item_icon_object_get().

EOAPI void elm_obj_toolbar_item_icon_set | ( | const char * | icon | ) |

Set the icon associated with `item`.

Parameters

  icon | A string with icon name or the absolute path of an image file.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_icon_order_lookup_set()
  elm_toolbar_icon_order_lookup_get()

Parameters

  [in] | icon | No description supplied.

Referenced by elm_toolbar_item_icon_set().

EOAPI Elm_Object_Item* elm_obj_toolbar_item_insert_after | ( | Elm_Object_Item * | after,
|  | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Insert a new item into the toolbar object after item `after`.

Returns
  The created item or `NULL` upon failure.

A new item will be created and added to the toolbar. Its position in this toolbar will be just after item `after`.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | after | The toolbar item to insert after.
  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

Referenced by elm_toolbar_item_insert_after().

EOAPI Elm_Object_Item* elm_obj_toolbar_item_insert_before | ( | Elm_Object_Item * | before,
|  | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Insert a new item into the toolbar object before item `before`.

Returns
  The created item or `NULL` upon failure.

A new item will be created and added to the toolbar. Its position in this toolbar will be just before item `before`.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | before | The toolbar item to insert before.
  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

Referenced by elm_toolbar_item_insert_before().

EOAPI Evas_Object* elm_obj_toolbar_item_menu_get | ( | void |  | ) |

Get toolbar item's menu.

If `item` wasn't set as menu item with elm_toolbar_item_menu_set(), this function will set it.

See also
  elm_toolbar_item_menu_set() for details.

Referenced by elm_toolbar_item_menu_get().

EOAPI void elm_obj_toolbar_item_menu_set | ( | Eina_Bool | menu | ) |

Set whether the toolbar item opens a menu.

A toolbar item can be set to be a menu, using this function.

Once it is set to be a menu, it can be manipulated through the menu-like function elm_toolbar_menu_parent_set() and the other elm_menu functions, using the Evas_Object `menu` returned by elm_toolbar_item_menu_get().

So, items to be displayed in this item's menu should be added with elm_menu_item_add().

The following code exemplifies the most basic usage:

1 tb = elm_toolbar_add(win)
2 item = elm_toolbar_item_append(tb, "refresh", "Menu", NULL, NULL);
3 elm_toolbar_item_menu_set(item, EINA_TRUE);
4 elm_toolbar_menu_parent_set(tb, win);
5 menu = elm_toolbar_item_menu_get(item);
6 elm_menu_item_add(menu, NULL, "edit-cut", "Cut", NULL, NULL);
7 menu_item = elm_menu_item_add(menu, NULL, "edit-copy", "Copy", NULL,
8 NULL);

See also
  elm_toolbar_item_menu_get()

Parameters

  [in] | menu | If `EINA_TRUE`, `item` will opens a menu when selected.

Referenced by elm_toolbar_item_menu_set().

EOAPI Elm_Object_Item* elm_obj_toolbar_item_next_get | ( | void |  | ) |

Get the item after `item` in toolbar.

Note
  If it is the last item, `NULL` will be returned.

See also
  elm_toolbar_item_append()

Referenced by elm_toolbar_item_next_get().

EOAPI Elm_Object_Item* elm_obj_toolbar_item_prepend | ( | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Prepend item to the toolbar.

Returns
  The created item or `NULL` upon failure.

A new item will be created and prepended to the toolbar, i.e., will be set as first item.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

Referenced by elm_toolbar_item_prepend().

EOAPI Elm_Object_Item* elm_obj_toolbar_item_prev_get | ( | void |  | ) |

Get the item before `item` in toolbar.

Note
  If it is the first item, `NULL` will be returned.

See also
  elm_toolbar_item_prepend()

Referenced by elm_toolbar_item_prev_get().

EOAPI int elm_obj_toolbar_item_priority_get | ( | void |  | ) |

Get the priority of a toolbar item.

See also
  elm_toolbar_item_priority_set() for details.

Referenced by elm_toolbar_item_priority_get().

EOAPI void elm_obj_toolbar_item_priority_set | ( | int | priority | ) |

Set the priority of a toolbar item.

This is used only when the toolbar shrink mode is set to ELM_TOOLBAR_SHRINK_MENU or ELM_TOOLBAR_SHRINK_HIDE. When space is less than required, items with low priority will be removed from the toolbar and added to a dynamically-created menu, while items with higher priority will remain on the toolbar, with the same order they were added.

See also
  elm_toolbar_item_priority_get()

Parameters

  [in] | priority | No description supplied.

Referenced by elm_toolbar_item_priority_set().

EOAPI Eina_Bool elm_obj_toolbar_item_selected_get | ( | void |  | ) |

Get whether the `item` is selected or not.

Returns
  `EINA_TRUE` means item is selected. `EINA_FALSE` indicates it's not. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_toolbar_selected_item_set() for details.
  elm_toolbar_item_selected_get()

Referenced by elm_toolbar_item_selected_get().

EOAPI void elm_obj_toolbar_item_selected_set | ( | Eina_Bool | selected | ) |

Set the selected state of an item.

This sets the selected state of the given item `it`. `EINA_TRUE` for selected, `EINA_FALSE` for not selected.

If a new item is selected the previously selected will be unselected. Previously selected item can be get with function elm_toolbar_selected_item_get().

Selected items will be highlighted.

See also
  elm_toolbar_item_selected_get()
  elm_toolbar_selected_item_get()

Parameters

  [in] | selected | The selected state

Referenced by elm_toolbar_item_selected_set().

EOAPI Eina_Bool elm_obj_toolbar_item_separator_get | ( | void |  | ) |

Get a value whether item is a separator or not.

Returns
  `EINA_TRUE` means item `it` is a separator. `EINA_FALSE` indicates it's not. If `it` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_toolbar_item_separator_set() for details.

Referenced by elm_toolbar_item_separator_get().

EOAPI void elm_obj_toolbar_item_separator_set | ( | Eina_Bool | separator | ) |

Set or unset item as a separator.

Parameters

  separator | `EINA_TRUE` to set item `item` as separator or `EINA_FALSE` to unset, i.e., item will be used as a regular item.

Items aren't set as separator by default.

If set as separator it will display separator theme, so won't display icons or label.

See also
  elm_toolbar_item_separator_get()

Parameters

  [in] | separator | No description supplied.

Referenced by elm_toolbar_item_separator_set().

EOAPI void elm_obj_toolbar_item_show | ( | Elm_Toolbar_Item_Scrollto_Type | scrollto | ) |

Show a specific item, when the toolbar can be scrolled.

see elm_toolbar_item_bring_in()

Since
  1.8

Parameters

  [in] | scrollto | the position the item should appear at

Referenced by elm_toolbar_item_show().

EOAPI Elm_Toolbar_Item_State* elm_obj_toolbar_item_state_add | ( | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Add a new state to `item`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

States created with this function can be removed with elm_toolbar_item_state_del().

See also
  elm_toolbar_item_state_del()
  elm_toolbar_item_state_sel()
  elm_toolbar_item_state_get()

Parameters

  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the new state.
  [in] | func | The function to call when the item is clicked when this * state is selected.
  [in] | data | The data to associate with the state.

Referenced by elm_toolbar_item_state_add().

EOAPI Elm_Toolbar_Item_State* elm_obj_toolbar_item_state_get | ( | void |  | ) |

Get the current state of `it`.

Returns
  The selected state or `NULL` if none is selected or on failure.

See also
  elm_toolbar_item_state_set() for details.
  elm_toolbar_item_state_unset()
  elm_toolbar_item_state_add()

Referenced by elm_toolbar_item_state_get().

EOAPI Elm_Toolbar_Item_State* elm_obj_toolbar_item_state_next | ( | void |  | ) |

Get the state after selected state in toolbar's `item`.

If last state is selected, this function will return first state.

See also
  elm_toolbar_item_state_set()
  elm_toolbar_item_state_add()

Referenced by elm_toolbar_item_state_next().

EOAPI Elm_Toolbar_Item_State* elm_obj_toolbar_item_state_prev | ( | void |  | ) |

Get the state before selected state in toolbar's `item`.

If first state is selected, this function will return last state.

See also
  elm_toolbar_item_state_set()
  elm_toolbar_item_state_add()

Referenced by elm_toolbar_item_state_prev().

EOAPI Eina_Bool elm_obj_toolbar_item_state_set | ( | Elm_Toolbar_Item_State * | state | ) |

Set `state` as the current state of `it`.

Parameters

  state | The state to use.

Returns
  `EINA_TRUE` on success or `EINA_FALSE` on failure.

If `state` is `NULL`, it won't select any state and the default item's icon and label will be used. It's the same behaviour than elm_toolbar_item_state_unset().

See also
  elm_toolbar_item_state_unset()

Parameters

  [in] | state | No description supplied.

Referenced by elm_toolbar_item_state_set(), and elm_toolbar_item_state_unset().

EOAPI unsigned int elm_obj_toolbar_items_count | ( | void |  | ) |

Get the number of items in a toolbar.

Returns
  The number of items in `obj` toolbar

Referenced by elm_toolbar_items_count().

EOAPI Elm_Object_Item* elm_obj_toolbar_last_item_get | ( | void |  | ) |

Get the last item in the given toolbar widget's list of items.

Returns
  The last item or `NULL`, if it has no items (and on errors)

See also
  elm_toolbar_item_prepend()
  elm_toolbar_first_item_get()

Referenced by elm_toolbar_last_item_get().

EOAPI Evas_Object* elm_obj_toolbar_menu_parent_get | ( | void |  | ) |

Get the parent object of the toolbar items' menus.

Returns
  The parent of the menu objects.

See also
  elm_toolbar_menu_parent_set() for details.

Referenced by elm_toolbar_menu_parent_get().

EOAPI void elm_obj_toolbar_menu_parent_set | ( | Evas_Object * | parent | ) |

Set the parent object of the toolbar items' menus.

Each item can be set as item menu, with elm_toolbar_item_menu_set().

For more details about setting the parent for toolbar menus, see elm_menu_parent_set().

See also
  elm_menu_parent_set() for details.
  elm_toolbar_item_menu_set() for details.

Parameters

  [in] | parent | The parent of the menu objects.

Referenced by elm_toolbar_menu_parent_set().

EOAPI Elm_Object_Item* elm_obj_toolbar_more_item_get | ( | void |  | ) |

Get the more item which is auto-generated by toolbar.

Returns
  The toolbar more item.

Toolbar generates 'more' item when there is no more space to fit items in and toolbar is in ELM_TOOLBAR_SHRINK_MENU or ELM_TOOLBAR_SHRINK_EXPAND mode. The more item can be manipulated by elm_object_item_text_set() and elm_object_item_content_set.

Referenced by elm_toolbar_more_item_get().

EOAPI Elm_Object_Select_Mode elm_obj_toolbar_select_mode_get | ( | void |  | ) |

Get the toolbar select mode.

Returns
  The select mode (If getting mode fails, it returns ELM_OBJECT_SELECT_MODE_MAX)

See also
  elm_toolbar_select_mode_set()

Referenced by elm_toolbar_select_mode_get().

EOAPI void elm_obj_toolbar_select_mode_set | ( | Elm_Object_Select_Mode | mode | ) |

Set the toolbar select mode.

elm_toolbar_select_mode_set() changes item select mode in the toolbar widget.

- ELM_OBJECT_SELECT_MODE_DEFAULT : Items will only call their selection func and callback when first becoming selected. Any further clicks will do nothing, unless you set always select mode.
- ELM_OBJECT_SELECT_MODE_ALWAYS : This means that, even if selected, every click will make the selected callbacks be called.
- ELM_OBJECT_SELECT_MODE_NONE : This will turn off the ability to select items entirely and they will neither appear selected nor call selected callback functions.

See also
  elm_toolbar_select_mode_get()

Parameters

  [in] | mode | The select mode

Referenced by elm_toolbar_select_mode_set().

EOAPI Elm_Object_Item* elm_obj_toolbar_selected_item_get | ( | void |  | ) |

Get the selected item.

Returns
  The selected toolbar item.

The selected item can be unselected with function elm_toolbar_item_selected_set().

The selected item always will be highlighted on toolbar.

Referenced by elm_toolbar_selected_item_get().

EOAPI Elm_Toolbar_Shrink_Mode elm_obj_toolbar_shrink_mode_get | ( | void |  | ) |

Get the shrink mode of toolbar `obj`.

Returns
  Toolbar's items display behavior.

See also
  elm_toolbar_shrink_mode_set() for details.

Referenced by elm_toolbar_shrink_mode_get().

EOAPI void elm_obj_toolbar_shrink_mode_set | ( | Elm_Toolbar_Shrink_Mode | shrink_mode | ) |

Set the item displaying mode of a given toolbar widget `obj`.

The toolbar won't scroll under ELM_TOOLBAR_SHRINK_NONE mode, but it will enforce a minimum size, so that all the items will fit inside it. It won't scroll and won't show the items that don't fit under ELM_TOOLBAR_SHRINK_HIDE mode. Finally, it'll scroll under ELM_TOOLBAR_SHRINK_SCROLL mode, and it will create a button to aggregate items which didn't fit with the ELM_TOOLBAR_SHRINK_MENU mode.

Warning
  This function's behavior will clash with those of elm_scroller_policy_set(), so use either one of them, but not both.

Parameters

  [in] | shrink_mode | Toolbar's items display behavior

Referenced by elm_toolbar_shrink_mode_set().

EOAPI int elm_obj_toolbar_standard_priority_get | ( | void |  | ) |

Get the standard_priority of visible items in a toolbar.

Returns
  The standard priority of items in `obj` toolbar

See also
  elm_toolbar_standard_priority_set()

Since
  1.7

Referenced by elm_toolbar_standard_priority_get().

EOAPI void elm_obj_toolbar_standard_priority_set | ( | int | priority | ) |

Set the standard priority of visible items in a toolbar If the priority of the item is up to standard priority, it is shown in basic panel.

The other items are located in more menu or panel. The more menu or panel can be shown when the more item is clicked.

See also
  elm_toolbar_standard_priority_get()

Since
  1.7

Parameters

  [in] | priority | The standard_priority of visible items

Referenced by elm_toolbar_standard_priority_set().

Evas_Object* elm_toolbar_add | ( | Evas_Object * | parent | ) |

Add a new toolbar widget to the given parent Elementary (container) object.

Parameters

  parent | The parent object.

Returns
  a new toolbar widget handle or `NULL`, on errors.

This function inserts a new toolbar widget on the canvas.

double elm_toolbar_align_get | ( | const Elm_Toolbar * | obj | ) |

Get the alignment of the items.

Returns
  toolbar items alignment, a float between `0.0` and `1.0` .

See also
  elm_toolbar_align_set() for details.

References elm_obj_toolbar_align_get().

void elm_toolbar_align_set | ( | Elm_Toolbar * | obj,
|  | double | align
| ) |  |

Set the alignment of the items.

Alignment of toolbar items, from `0.0` to indicates to align left, to `1.0` , to align to right. `0.5` centralize items.

Centered items by default.

See also
  elm_toolbar_align_get()

Parameters

  [in] | align | The new alignment, a float between `0.0` and `1.0` .

References elm_obj_toolbar_align_set().

Elm_Object_Item* elm_toolbar_first_item_get | ( | const Elm_Toolbar * | obj | ) |

Get the first item in the given toolbar widget's list of items.

Returns
  The first item or `NULL`, if it has no items (and on errors)

See also
  elm_toolbar_item_append()
  elm_toolbar_last_item_get()

References elm_obj_toolbar_first_item_get().

Eina_Bool elm_toolbar_homogeneous_get | ( | const Elm_Toolbar * | obj | ) |

Get whether the homogeneous mode is enabled.

Returns
  Assume the items within the toolbar are of the same height and width (EINA_TRUE = on, EINA_FALSE = off).

See also
  elm_toolbar_homogeneous_set()

References elm_obj_toolbar_homogeneous_get().

void elm_toolbar_homogeneous_set | ( | Elm_Toolbar * | obj,
|  | Eina_Bool | homogeneous
| ) |  |

Enable/disable homogeneous mode.

This will enable the homogeneous mode where items are of the same size.

See also
  elm_toolbar_homogeneous_get()

Parameters

  [in] | homogeneous | Assume the items within the toolbar are of the same size (EINA_TRUE = on, EINA_FALSE = off). Default is `EINA_FALSE`.

References elm_obj_toolbar_homogeneous_set().

Eina_Bool elm_toolbar_horizontal_get | ( | const Elm_Toolbar * | obj | ) |

Get a toolbar's orientation.

Returns
  If `EINA_TRUE`, the toolbar is horizontal By default, a toolbar will be horizontal. Use this function to determine whether a toolbar is vertical.

References elm_obj_toolbar_horizontal_get().

void elm_toolbar_horizontal_set | ( | Elm_Toolbar * | obj,
|  | Eina_Bool | horizontal
| ) |  |

Change a toolbar's orientation By default, a toolbar will be horizontal.

Use this function to create a vertical toolbar.

Parameters

  [in] | horizontal | If `EINA_TRUE`, the toolbar is horizontal

References elm_obj_toolbar_horizontal_set().

Elm_Icon_Lookup_Order elm_toolbar_icon_order_lookup_get | ( | const Elm_Toolbar * | obj | ) |

Get the icon lookup order.

Returns
  The icon lookup order. (If getting the icon order loopup fails, it returns ELM_ICON_LOOKUP_THEME_FDO)

See also
  elm_toolbar_icon_order_lookup_set() for details.

References elm_obj_toolbar_icon_order_lookup_get().

void elm_toolbar_icon_order_lookup_set | ( | Elm_Toolbar * | obj,
|  | Elm_Icon_Lookup_Order | order
| ) |  |

Sets icon lookup order, for toolbar items' icons.

Icons added before calling this function will not be affected. The default lookup order is ELM_ICON_LOOKUP_THEME_FDO.

See also
  elm_toolbar_icon_order_lookup_get()

Parameters

  [in] | order | The icon lookup order.

References elm_obj_toolbar_icon_order_lookup_set().

int elm_toolbar_icon_size_get | ( | const Elm_Toolbar * | obj | ) |

Get the icon size, in pixels, to be used by toolbar items.

Returns
  The icon size in pixels.

See also
  elm_toolbar_icon_size_set() for details.

References elm_obj_toolbar_icon_size_get().

void elm_toolbar_icon_size_set | ( | Elm_Toolbar * | obj,
|  | int | icon_size
| ) |  |

Set the icon size, in pixels, to be used by toolbar items.

Note
  Default value is `32`. It reads value from elm config.

See also
  elm_toolbar_icon_size_get()

Parameters

  [in] | icon_size | The icon size in pixels

References elm_obj_toolbar_icon_size_set().

Elm_Object_Item* elm_toolbar_item_append | ( | Elm_Toolbar * | obj,
|  | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Append item to the toolbar.

Returns
  The created item or `NULL` upon failure.

A new item will be created and appended to the toolbar, i.e., will be set as last item.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

References elm_obj_toolbar_item_append().

void elm_toolbar_item_bring_in | ( | Elm_Toolbar_Item * | obj,
|  | Elm_Toolbar_Item_Scrollto_Type | scrollto
| ) |  |

Show a specific item with scroll animation, when the toolbar can be scrolled.

see elm_toolbar_item_show()

Since
  1.8

Parameters

  [in] | scrollto | the position the item should appear at

References elm_obj_toolbar_item_bring_in().

Elm_Object_Item* elm_toolbar_item_find_by_label | ( | const Elm_Toolbar * | obj,
|  | const char * | label
| ) |  |

Returns a pointer to a toolbar item by its label.

Returns
  The pointer to the toolbar item matching `label` or `NULL` on failure.

Parameters

  [in] | label | The label of the item to find.

References elm_obj_toolbar_item_find_by_label().

Eina_Bool elm_toolbar_item_icon_file_set | ( | Elm_Toolbar_Item * | obj,
|  | const char * | file,
|  | const char * | key
| ) |  |

Set the icon associated with `item` to an image in a binary buffer.

Note
  The icon image set by this function can be changed by elm_toolbar_item_icon_set().

Parameters

  [in] | file | The file that contains the image
  [in] | key | Optional key of `img` to pass to the image loader (eg. if `img` is an edje file)

References elm_obj_toolbar_item_icon_file_set().

const char* elm_toolbar_item_icon_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get the string used to set the icon of `item`.

Returns
  The string associated with the icon object.

See also
  elm_toolbar_item_icon_set() for details.

References elm_obj_toolbar_item_icon_get().

Eina_Bool elm_toolbar_item_icon_memfile_set | ( | Elm_Toolbar_Item * | obj,
|  | const void * | img,
|  | size_t | size,
|  | const char * | format,
|  | const char * | key
| ) |  |

Set the icon associated with `item` to an image in a binary buffer.

Note
  The icon image set by this function can be changed by elm_toolbar_item_icon_set().

Parameters

  [in] | img | The binary data that will be used as an image
  [in] | size | The size of binary data `img`
  [in] | format | Optional format of `img` to pass to the image loader
  [in] | key | Optional key of `img` to pass to the image loader (eg. if `img` is an edje file)

References elm_obj_toolbar_item_icon_memfile_set().

Evas_Object* elm_toolbar_item_icon_object_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get the icon object of `item`.

See also
  elm_toolbar_item_icon_set(), elm_toolbar_item_icon_file_set(), or elm_toolbar_item_icon_memfile_set() for details.

References elm_obj_toolbar_item_icon_object_get().

void elm_toolbar_item_icon_set | ( | Elm_Toolbar_Item * | obj,
|  | const char * | icon
| ) |  |

Set the icon associated with `item`.

Parameters

  icon | A string with icon name or the absolute path of an image file.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_icon_order_lookup_set()
  elm_toolbar_icon_order_lookup_get()

Parameters

  [in] | icon | No description supplied.

References elm_obj_toolbar_item_icon_set().

Elm_Object_Item* elm_toolbar_item_insert_after | ( | Elm_Toolbar * | obj,
|  | Elm_Object_Item * | after,
|  | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Insert a new item into the toolbar object after item `after`.

Returns
  The created item or `NULL` upon failure.

A new item will be created and added to the toolbar. Its position in this toolbar will be just after item `after`.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | after | The toolbar item to insert after.
  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

References elm_obj_toolbar_item_insert_after().

Elm_Object_Item* elm_toolbar_item_insert_before | ( | Elm_Toolbar * | obj,
|  | Elm_Object_Item * | before,
|  | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Insert a new item into the toolbar object before item `before`.

Returns
  The created item or `NULL` upon failure.

A new item will be created and added to the toolbar. Its position in this toolbar will be just before item `before`.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | before | The toolbar item to insert before.
  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

References elm_obj_toolbar_item_insert_before().

Evas_Object* elm_toolbar_item_menu_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get toolbar item's menu.

If `item` wasn't set as menu item with elm_toolbar_item_menu_set(), this function will set it.

See also
  elm_toolbar_item_menu_set() for details.

References elm_obj_toolbar_item_menu_get().

void elm_toolbar_item_menu_set | ( | Elm_Toolbar_Item * | obj,
|  | Eina_Bool | menu
| ) |  |

Set whether the toolbar item opens a menu.

A toolbar item can be set to be a menu, using this function.

Once it is set to be a menu, it can be manipulated through the menu-like function elm_toolbar_menu_parent_set() and the other elm_menu functions, using the Evas_Object `menu` returned by elm_toolbar_item_menu_get().

So, items to be displayed in this item's menu should be added with elm_menu_item_add().

The following code exemplifies the most basic usage:

1 tb = elm_toolbar_add(win)
2 item = elm_toolbar_item_append(tb, "refresh", "Menu", NULL, NULL);
3 elm_toolbar_item_menu_set(item, EINA_TRUE);
4 elm_toolbar_menu_parent_set(tb, win);
5 menu = elm_toolbar_item_menu_get(item);
6 elm_menu_item_add(menu, NULL, "edit-cut", "Cut", NULL, NULL);
7 menu_item = elm_menu_item_add(menu, NULL, "edit-copy", "Copy", NULL,
8 NULL);

See also
  elm_toolbar_item_menu_get()

Parameters

  [in] | menu | If `EINA_TRUE`, `item` will opens a menu when selected.

References elm_obj_toolbar_item_menu_set().

Elm_Object_Item* elm_toolbar_item_next_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get the item after `item` in toolbar.

Note
  If it is the last item, `NULL` will be returned.

See also
  elm_toolbar_item_append()

References elm_obj_toolbar_item_next_get().

Elm_Object_Item* elm_toolbar_item_prepend | ( | Elm_Toolbar * | obj,
|  | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Prepend item to the toolbar.

Returns
  The created item or `NULL` upon failure.

A new item will be created and prepended to the toolbar, i.e., will be set as first item.

Items created with this method can be deleted with elm_object_item_del().

Associated `data` can be properly freed when item is deleted if a callback function is set with elm_object_item_del_cb_set().

If a function is passed as argument, it will be called every time this item is selected, i.e., the user clicks over an unselected item. If such function isn't needed, just passing `NULL` as `func` is enough. The same should be done for `data`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

Note
  This function does not accept relative icon path.

See also
  elm_toolbar_item_icon_set()
  elm_object_item_del()

Parameters

  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the item.
  [in] | func | The function to call when the item is clicked.
  [in] | data | The data to associate with the item for related callbacks.

References elm_obj_toolbar_item_prepend().

Elm_Object_Item* elm_toolbar_item_prev_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get the item before `item` in toolbar.

Note
  If it is the first item, `NULL` will be returned.

See also
  elm_toolbar_item_prepend()

References elm_obj_toolbar_item_prev_get().

int elm_toolbar_item_priority_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get the priority of a toolbar item.

See also
  elm_toolbar_item_priority_set() for details.

References elm_obj_toolbar_item_priority_get().

void elm_toolbar_item_priority_set | ( | Elm_Toolbar_Item * | obj,
|  | int | priority
| ) |  |

Set the priority of a toolbar item.

This is used only when the toolbar shrink mode is set to ELM_TOOLBAR_SHRINK_MENU or ELM_TOOLBAR_SHRINK_HIDE. When space is less than required, items with low priority will be removed from the toolbar and added to a dynamically-created menu, while items with higher priority will remain on the toolbar, with the same order they were added.

See also
  elm_toolbar_item_priority_get()

Parameters

  [in] | priority | No description supplied.

References elm_obj_toolbar_item_priority_set().

Eina_Bool elm_toolbar_item_selected_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get whether the `item` is selected or not.

Returns
  `EINA_TRUE` means item is selected. `EINA_FALSE` indicates it's not. If `obj` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_toolbar_selected_item_set() for details.
  elm_toolbar_item_selected_get()

References elm_obj_toolbar_item_selected_get().

void elm_toolbar_item_selected_set | ( | Elm_Toolbar_Item * | obj,
|  | Eina_Bool | selected
| ) |  |

Set the selected state of an item.

This sets the selected state of the given item `it`. `EINA_TRUE` for selected, `EINA_FALSE` for not selected.

If a new item is selected the previously selected will be unselected. Previously selected item can be get with function elm_toolbar_selected_item_get().

Selected items will be highlighted.

See also
  elm_toolbar_item_selected_get()
  elm_toolbar_selected_item_get()

Parameters

  [in] | selected | The selected state

References elm_obj_toolbar_item_selected_set().

Eina_Bool elm_toolbar_item_separator_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get a value whether item is a separator or not.

Returns
  `EINA_TRUE` means item `it` is a separator. `EINA_FALSE` indicates it's not. If `it` is `NULL`, `EINA_FALSE` is returned.

See also
  elm_toolbar_item_separator_set() for details.

References elm_obj_toolbar_item_separator_get().

void elm_toolbar_item_separator_set | ( | Elm_Toolbar_Item * | obj,
|  | Eina_Bool | separator
| ) |  |

Set or unset item as a separator.

Parameters

  separator | `EINA_TRUE` to set item `item` as separator or `EINA_FALSE` to unset, i.e., item will be used as a regular item.

Items aren't set as separator by default.

If set as separator it will display separator theme, so won't display icons or label.

See also
  elm_toolbar_item_separator_get()

Parameters

  [in] | separator | No description supplied.

References elm_obj_toolbar_item_separator_set().

void elm_toolbar_item_show | ( | Elm_Toolbar_Item * | obj,
|  | Elm_Toolbar_Item_Scrollto_Type | scrollto
| ) |  |

Show a specific item, when the toolbar can be scrolled.

see elm_toolbar_item_bring_in()

Since
  1.8

Parameters

  [in] | scrollto | the position the item should appear at

References elm_obj_toolbar_item_show().

Elm_Toolbar_Item_State* elm_toolbar_item_state_add | ( | Elm_Toolbar_Item * | obj,
|  | const char * | icon,
|  | const char * | label,
|  | Evas_Smart_Cb | func,
|  | const void * | data
| ) |  |

Add a new state to `item`.

Toolbar will load icon image from fdo or current theme. This behavior can be set by elm_toolbar_icon_order_lookup_set() function. If an absolute path is provided it will load it direct from a file.

States created with this function can be removed with elm_toolbar_item_state_del().

See also
  elm_toolbar_item_state_del()
  elm_toolbar_item_state_sel()
  elm_toolbar_item_state_get()

Parameters

  [in] | icon | A string with icon name or the absolute path of an image file.
  [in] | label | The label of the new state.
  [in] | func | The function to call when the item is clicked when this * state is selected.
  [in] | data | The data to associate with the state.

References elm_obj_toolbar_item_state_add().

Elm_Toolbar_Item_State* elm_toolbar_item_state_get | ( | const Elm_Toolbar_Item * | obj | ) |

Get the current state of `it`.

Returns
  The selected state or `NULL` if none is selected or on failure.

See also
  elm_toolbar_item_state_set() for details.
  elm_toolbar_item_state_unset()
  elm_toolbar_item_state_add()

References elm_obj_toolbar_item_state_get().

Elm_Toolbar_Item_State* elm_toolbar_item_state_next | ( | Elm_Toolbar_Item * | obj | ) |

Get the state after selected state in toolbar's `item`.

If last state is selected, this function will return first state.

See also
  elm_toolbar_item_state_set()
  elm_toolbar_item_state_add()

References elm_obj_toolbar_item_state_next().

Elm_Toolbar_Item_State* elm_toolbar_item_state_prev | ( | Elm_Toolbar_Item * | obj | ) |

Get the state before selected state in toolbar's `item`.

If first state is selected, this function will return last state.

See also
  elm_toolbar_item_state_set()
  elm_toolbar_item_state_add()

References elm_obj_toolbar_item_state_prev().

Eina_Bool elm_toolbar_item_state_set | ( | Elm_Toolbar_Item * | obj,
|  | Elm_Toolbar_Item_State * | state
| ) |  |

Set `state` as the current state of `it`.

Parameters

  state | The state to use.

Returns
  `EINA_TRUE` on success or `EINA_FALSE` on failure.

If `state` is `NULL`, it won't select any state and the default item's icon and label will be used. It's the same behaviour than elm_toolbar_item_state_unset().

See also
  elm_toolbar_item_state_unset()

Parameters

  [in] | state | No description supplied.

References elm_obj_toolbar_item_state_set().

void elm_toolbar_item_state_unset | ( | Elm_Object_Item * | it | ) |

Unset the state of `it`.

Parameters

  it | The toolbar item.

The default icon and label from this item will be displayed.

See also
  elm_toolbar_item_state_set() for more details.

References elm_obj_toolbar_item_state_set().

unsigned int elm_toolbar_items_count | ( | const Elm_Toolbar * | obj | ) |

Get the number of items in a toolbar.

Returns
  The number of items in `obj` toolbar

References elm_obj_toolbar_items_count().

Elm_Object_Item* elm_toolbar_last_item_get | ( | const Elm_Toolbar * | obj | ) |

Get the last item in the given toolbar widget's list of items.

Returns
  The last item or `NULL`, if it has no items (and on errors)

See also
  elm_toolbar_item_prepend()
  elm_toolbar_first_item_get()

References elm_obj_toolbar_last_item_get().

Evas_Object* elm_toolbar_menu_parent_get | ( | const Elm_Toolbar * | obj | ) |

Get the parent object of the toolbar items' menus.

Returns
  The parent of the menu objects.

See also
  elm_toolbar_menu_parent_set() for details.

References elm_obj_toolbar_menu_parent_get().

void elm_toolbar_menu_parent_set | ( | Elm_Toolbar * | obj,
|  | Evas_Object * | parent
| ) |  |

Set the parent object of the toolbar items' menus.

Each item can be set as item menu, with elm_toolbar_item_menu_set().

For more details about setting the parent for toolbar menus, see elm_menu_parent_set().

See also
  elm_menu_parent_set() for details.
  elm_toolbar_item_menu_set() for details.

Parameters

  [in] | parent | The parent of the menu objects.

References elm_obj_toolbar_menu_parent_set().

Elm_Object_Item* elm_toolbar_more_item_get | ( | const Elm_Toolbar * | obj | ) |

Get the more item which is auto-generated by toolbar.

Returns
  The toolbar more item.

Toolbar generates 'more' item when there is no more space to fit items in and toolbar is in ELM_TOOLBAR_SHRINK_MENU or ELM_TOOLBAR_SHRINK_EXPAND mode. The more item can be manipulated by elm_object_item_text_set() and elm_object_item_content_set.

References elm_obj_toolbar_more_item_get().

Eina_Bool elm_toolbar_reorder_mode_get | ( | const Evas_Object * | obj | ) |

Get the reorder mode.

Parameters

  obj | The toolbar object

Returns
  The reorder mode (`EINA_TRUE` = on, `EINA_FALSE` = off)

void elm_toolbar_reorder_mode_set | ( | Evas_Object * | obj,
|  | Eina_Bool | reorder_mode
| ) |  |

Set reorder mode.

Parameters

  obj | The toolbar object
  reorder_mode | The reorder mode (`EINA_TRUE` = on, `EINA_FALSE` = off)

Elm_Object_Select_Mode elm_toolbar_select_mode_get | ( | const Elm_Toolbar * | obj | ) |

Get the toolbar select mode.

Returns
  The select mode (If getting mode fails, it returns ELM_OBJECT_SELECT_MODE_MAX)

See also
  elm_toolbar_select_mode_set()

References elm_obj_toolbar_select_mode_get().

void elm_toolbar_select_mode_set | ( | Elm_Toolbar * | obj,
|  | Elm_Object_Select_Mode | mode
| ) |  |

Set the toolbar select mode.

elm_toolbar_select_mode_set() changes item select mode in the toolbar widget.

- ELM_OBJECT_SELECT_MODE_DEFAULT : Items will only call their selection func and callback when first becoming selected. Any further clicks will do nothing, unless you set always select mode.
- ELM_OBJECT_SELECT_MODE_ALWAYS : This means that, even if selected, every click will make the selected callbacks be called.
- ELM_OBJECT_SELECT_MODE_NONE : This will turn off the ability to select items entirely and they will neither appear selected nor call selected callback functions.

See also
  elm_toolbar_select_mode_get()

Parameters

  [in] | mode | The select mode

References elm_obj_toolbar_select_mode_set().

Elm_Object_Item* elm_toolbar_selected_item_get | ( | const Elm_Toolbar * | obj | ) |

Get the selected item.

Returns
  The selected toolbar item.

The selected item can be unselected with function elm_toolbar_item_selected_set().

The selected item always will be highlighted on toolbar.

References elm_obj_toolbar_selected_item_get().

Elm_Toolbar_Shrink_Mode elm_toolbar_shrink_mode_get | ( | const Elm_Toolbar * | obj | ) |

Get the shrink mode of toolbar `obj`.

Returns
  Toolbar's items display behavior.

See also
  elm_toolbar_shrink_mode_set() for details.

References elm_obj_toolbar_shrink_mode_get().

void elm_toolbar_shrink_mode_set | ( | Elm_Toolbar * | obj,
|  | Elm_Toolbar_Shrink_Mode | shrink_mode
| ) |  |

Set the item displaying mode of a given toolbar widget `obj`.

The toolbar won't scroll under ELM_TOOLBAR_SHRINK_NONE mode, but it will enforce a minimum size, so that all the items will fit inside it. It won't scroll and won't show the items that don't fit under ELM_TOOLBAR_SHRINK_HIDE mode. Finally, it'll scroll under ELM_TOOLBAR_SHRINK_SCROLL mode, and it will create a button to aggregate items which didn't fit with the ELM_TOOLBAR_SHRINK_MENU mode.

Warning
  This function's behavior will clash with those of elm_scroller_policy_set(), so use either one of them, but not both.

Parameters

  [in] | shrink_mode | Toolbar's items display behavior

References elm_obj_toolbar_shrink_mode_set().

int elm_toolbar_standard_priority_get | ( | const Elm_Toolbar * | obj | ) |

Get the standard_priority of visible items in a toolbar.

Returns
  The standard priority of items in `obj` toolbar

See also
  elm_toolbar_standard_priority_set()

Since
  1.7

References elm_obj_toolbar_standard_priority_get().

void elm_toolbar_standard_priority_set | ( | Elm_Toolbar * | obj,
|  | int | priority
| ) |  |

Set the standard priority of visible items in a toolbar If the priority of the item is up to standard priority, it is shown in basic panel.

The other items are located in more menu or panel. The more menu or panel can be shown when the more item is clicked.

See also
  elm_toolbar_standard_priority_get()

Since
  1.7

Parameters

  [in] | priority | The standard_priority of visible items

References elm_obj_toolbar_standard_priority_set().

Eina_Bool elm_toolbar_transverse_expanded_get | ( | const Evas_Object * | obj | ) |

Get the transverse expansion of toolbar `obj`.

Parameters

  obj | The toolbar object.

Returns
  The transverse expansion of the item. (`EINA_TRUE` = on, `EINA_FALSE` = off, default = `EINA_FALSE`)

See also
  elm_toolbar_transverse_expand_set() for details.

void elm_toolbar_transverse_expanded_set | ( | Evas_Object * | obj,
|  | Eina_Bool | transverse_expanded
| ) |  |

Set the item's transverse expansion of a given toolbar widget `obj`.

Parameters

  obj | The toolbar object.
  transverse_expanded | The transverse expansion of the item. (`EINA_TRUE` = on, `EINA_FALSE` = off, default = `EINA_FALSE`)

This will expand the transverse length of the item according the transverse length of the toolbar. The default is what the transverse length of the item is set according its min value.